Subject: bug#23623: Patch to improve function options in find-func.el

From: Noam Postavsky <[email-masked]>
Date: Mon, 06 Nov 2017 20:03:38 -0500

Robert Weiner <[email-masked]> writes:

> Note that the one large patch section of one function is really just a
> change of a line at the end of the function but diff generated a large
> context patch for it, maybe the indentation changed.

The patch seems to have got mangled by some line wrapping and similar.
Please send as attachment instead.  Please don't post to both
emacs-devel and bug-gnu-emacs.

> Please let me know if these changes are acceptable.  They provide many
> benefits to potential callers of this package and make the *-noselect
> functions more straightforward to use.

I think it's okay for master.

> +Visit the library in a buffer, and return a (buffer . position) pair,

The convention we use in docstrings is that placeholders in structures
should be in upper case.  The way you wrote it here would be describing
a function which does (cons 'buffer 'position).